'use strict';

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function generateDocDependenceListByRequireList() {
  var dependenceList = arguments.length <= 0 || arguments[0] === undefined ? [] : arguments[0];

  return (0, _lodash2['default'])(dependenceList).map(function (item) {
    return 'require(\'' + item + '\');';
  }).push('module.exports = require;').join('\n');
}

exports['default'] = generateDocDependenceListByRequireList;
module.exports = exports['default'];